Archive a JavaScript SDK core extension
Archives (soft-deletes) the supplied extended core. The extension is removed from the SDK core loader immediately but its definition is retained. Restore it with POST /v1/extended-cores/{id}/unarchive. Returns the updated extended core. Returns 404 extended_core_not_found if the id does not exist.
Authorizations
Path Parameters
The id of the extended core to be archived.
Response
Archived JavaScript SDK core extension source definition.
JavaScript SDK core extension source definition with build-time expressions.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Build-time expression that controls whether the extension is active.
Unique identifier for the JavaScript SDK core extension.
Build-time expression that resolves to the JavaScript source code injected into the SDK.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
